<?php
/*
Wax Poteto modifications Copyright Marc "Waccoon" Leveille
http://www.NineChime.com/products/
Version 5.7.0 - Last modified 7/19/2008

NOTE: this file is not officially part of OekakiPoteto 5.x.
*/


// Load bootstrap
define ('BOOT', 1);
require ('boot.php');


// Pictures folder locked?
if (!is_writable ($cfg['op_pics'])) {
	report_err($langop_picfolocked);
}

// OekakiBBS present?
$oeb_exists = FALSE;
if (file_exists ('oekakibbs.jar')) {
	$oeb_exists = TRUE;
}

// ChibiPaint present?
$chi_exists = false;
if (file_exists ('chibipaint.jar')) {
	$chi_exists = true;
}


// Check GET: draw info
if (isset ($_GET['Submit'])) {
	$app   = w_gpc('applet');
	$xsize = w_gpc('canvasx', 'i');
	$ysize = w_gpc('canvasy', 'i');

	$useapp = '';
	$datatype = 0;
	$app_params = '';

	switch ($app) {
		case 'paintbbs':
			$useapp = 'paintBBS.php';
			break;
		case 'notebbs':
			$useapp = 'noteBBS.php';
			break;
		case 'oekakibbs':
			$useapp = 'oekakiBBS.php';
			$datatype = 1;
			break;
		case 'shi':
			$useapp = 'shiBBS.php';
			$datatype = 2;
			break;
		case 'shipro':
			$useapp = 'shiBBS.php';
			$datatype = 3;
			$app_params = 'tools=pro&cursor=cursor&';
			break;
		case 'chibipaint':
			$useapp = 'chibipaint.php';
			$datatype = 4;
			break;
		default:
			all_done();
	}

	if ($xsize < $cfg['canvas_x']) $xsize == $cfg['min_x'];
	if ($ysize < $cfg['canvas_y']) $ysize == $cfg['min_y'];
	if ($xsize > $cfg['canvas_x']) $xsize == $cfg['canvas_x'];
	if ($ysize > $cfg['canvas_y']) $ysize == $cfg['canvas_y'];

	$useanim = (w_gpc('anim') == 'on') ? '1' : '0' ;

	all_done($useapp.'?'.$app_params.'xcord='.$xsize.'&ycord='.$ysize.'&anim='.$useanim.'&datatype='.$datatype);
}



// Start HTML
include ('header.php');


?>
<table width="90%" align="center" cellpadding="<?=$hCellPadding?>">
<tr>
<td>
	<table width="100%" border="0" cellpadding="2" cellspacing="0">
	<tr>
	<td width="455" valign="top" class="header">
		<b><?=$langop_word_draw?></b>
	</td>
	</tr>

	<tr>
	<td valign="top">
		<!-- Options -->
		<form action="draw.php" method="get">
			<h5 style="margin-top: 0; font-family: 'Arial', 'Helvetica', sans-serif;"><?=$langop_word_applet?>:</h5>
			<p style="padding-left: 30pt;">
				<font color="#FFFFFF" size="-1">
					<input type="radio" name="applet" value="shi" checked="checked" />Shi-Painter<br />
					<input type="radio" name="applet" value="shipro" />Shi-Painter Pro<br />
<? if ($chi_exists) { ?>
					<input type="radio" name="applet" value="chibipaint" />Chibi Paint <?=$langop_draw_no_anim;?><br />
<? } ?>
<? if ($oeb_exists) { ?>
					<input type="radio" name="applet" value="oekakibbs" />OekakiBBS<br />
<? } ?>
					<input type="radio" name="applet" value="notebbs" />PaintBBS<?=$langop_with_palette;?><br />
					<input type="radio" name="applet" value="paintbbs" />PaintBBS<br />
				</font>
			</p>

			<h5 style="margin-top: 0; font-family: 'Arial', 'Helvetica', sans-serif;"><?=$langop_word_canvas?> (<?=$langop_word_min?>:&nbsp;<?=$cfg['min_x']?>&times;<?=$cfg['min_x']?>, <?=$langop_word_max?>:&nbsp;<?=$cfg['canvas_x']?>&times;<?=$cfg['canvas_y']?>):</h5>
			<p style="padding-left: 30pt;">
				<font size="-1">
					<input id="previewWidth" class="txtinput" onblur="javascript: updatePreview(<?=$cfg['min_x']?>, <?=$cfg['min_y']?>, <?=$cfg['canvas_x']?>, <?=$cfg['canvas_y']?>);" name="canvasx" value="<?=$cfg['def_x']?>" size="4" />
				</font>
				&times;
				<font size="-1">
					<input id="previewHeight" class="txtinput" onblur="javascript: updatePreview(<?=$cfg['min_x']?>, <?=$cfg['min_y']?>, <?=$cfg['canvas_x']?>, <?=$cfg['canvas_y']?>);" name="canvasy" value="<?=$cfg['def_y']?>" size="4" />
				</font>
			</p>

<? if ($flags['M']) { ?>
			<h5 style="margin-top: 0; font-family: 'Arial', 'Helvetica', sans-serif;"><?=$langop_word_animations?>: <input type="checkbox" name="anim" /></h5>
			<p style="padding-left: 30pt;">
				<font color="#FFFFFF" size="-1">
					<?=$langop_note_layers?>
				</font>
			</p>

<? } ?>

			<p style="padding-left: 30pt;">
				<font size="-1">
					<input type="submit" name="Submit" value="Submit" class="submit" />
				</font>
			</p>
		</form>
	</td>

	<!-- Preview -->
	<td valign="top" style="padding-left: 30pt;">
		<div style="text-align: center;">
			<img id="previewImage" src="<?=$cfg['preview_img']?>" width="<?=$cfg['def_x'];?>" height="<?=$cfg['def_y'];?>" alt="<?=$langop_canvasprev;?>" title="<?=$langop_canvasprev;?>" /><br />
			<?=$langop_canvasprev;?> 
		</div>
	</td>
	</tr>
	</table>
</td>
</tr>
</table>
<br />

<?

include ('footer.php'); ?>